<% if policy(:organization).edit?%>

<%= form_for @organization do |f| %>

<% if @organization.errors.any? %>
	<div id="error_explanation">
		<h2>
			<%= pluralize(@organization.errors.count, "error") %> prohibited
			this article from being saved:
		</h2>
		<ul>
			<% @organization.errors.full_messages.each do |msg| %>
				<li><%= msg %></li>
			<% end %>
		</ul>
	</div>
<% end %>

<table class="ui celled striped table">
  <tr>
    <th align="center">Role</th>
    <th align="center">Member</th>
  </tr>
  <tr>
    <td>User Manager</td>
    <td>
      <%= f.collection_select( :user_manager, User.where(affiliated_organization: @organization.id), :id, :full_name, {prompt: "User Manager", :selected => (@organization.user_manager)}, {:class=>'ui fluid search clearable dropdown'}) %>
    </td>
  </tr>
  <tr>
    <td>Kitchen Manager</td>
    <td><%= f.collection_select( :kitchen_manager, User.where(affiliated_organization: @organization.id), :id, :full_name, {prompt: "Kitchen Manager", :selected => ( @organization.kitchen_manager)}, {:class=>'ui fluid search clearable dropdown'}) %></td>
  </tr>
  <tr>
    <td>House Manager</td>
    <td><%= f.collection_select( :house_manager, User.where(affiliated_organization: @organization.id), :id, :full_name, {prompt: "House Manager", :selected => ( @organization.house_manager)}, {:class=>'ui fluid search clearable dropdown'}) %></td>
  </tr>
  <tr>
    <td>Service Manager</td>
    <td>
      <%= f.collection_select( :service_manager, User.where(affiliated_organization: @organization.id), :id, :full_name, {prompt: "Service Manager", :selected => ( @organization.service_manager)}, {:class=>'ui fluid search clearable dropdown'}) %>
    </td>
  </tr>
  <tr>
    <td>Scholarship Manager</td>
    <td><%= f.collection_select( :scholarship_manager, User.where(affiliated_organization: @organization.id), :id, :full_name, {prompt: "Scholarship Manager", :selected => ( @organization.scholarship_manager)}, {:class=>'ui fluid search clearable dropdown'}) %></td>
  </tr>
  <tr>
    <td>Rush Manager</td>
    <td><%= f.collection_select( :rush_manager, User.where(affiliated_organization: @organization.id), :id, :full_name, {prompt: "Rush Manager", :selected => ( @organization.rush_manager)}, {:class=>'ui fluid search clearable dropdown'}) %></td>
  </tr>
</table>

<%= f.submit 'Update Managers', :class => 'ui primary button' %>

<% end %>

<% else %>

<div class="ui celled very compact striped sortable table">
  <table class="table">
    <tr>
      <th>Role</th>
      <th>Member</th>
    </tr>
    <tr>
      <td>User Manager</td>
      <td><%= @organization.user_manager ? User.find(@organization.user_manager).full_name : "--" %></td>
    </tr>
    <tr>
      <td>Kitchen Manager</td>
      <td><%= @organization.kitchen_manager ? User.find(@organization.kitchen_manager).full_name : "--" %></td>
    </tr>
    <tr>
      <td>House Manager</td>
      <td><%= @organization.house_manager ? User.find(@organization.house_manager).full_name : "--" %></td>
    </tr>
    <tr>
      <td>Service Manager</td>
      <td><%= @organization.service_manager ? User.find(@organization.service_manager).full_name : "--" %></td>
    </tr>
    <tr>
      <td>Scholarship Manager</td>
      <td><%= @organization.scholarship_manager ? User.find(@organization.scholarship_manager).full_name : "--" %></td>
    </tr>
    <tr>
      <td>Rush Manager</td>
      <td><%= @organization.rush_manager ? User.find(@organization.rush_manager).full_name : "--" %></td>
    </tr>
  </table>
</div>
<% end %>
